zaqar (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:17:27 +0100

zaqar (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 9.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 09:18:04 -0400

zaqar (9.0.0~b2~git2019080910.d535a96e-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to oslo-config-generator and oslopolicy-sample-generator
    as packages are py3-only now and no longer install python3-prefixed
    alternatives.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Aug 2019 10:18:46 -0400

zaqar (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:26:19 +0100

zaqar (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 8.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:57:34 +0000

zaqar (8.0.0~b1~git2019031908.cf01152b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:20:09 +0000

zaqar (8.0.0~b1~git2019013109.2438c565-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 09:12:52 -0500

zaqar (8.0.0~b1~git2018111913.7c2d6a97-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:29 -0500

zaqar (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-zaqar conflicts on each other.
    - d/python(3)-zaqar.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:46:55 -0400

zaqar (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/finished-fixing-upstream-tests.patch: Dropped. Fixed upstream.
  * d/p/skip-test.patch: Skip failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:44:08 -0400

zaqar (7.0.0~b1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-zaqar package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      zaqar-common depends on python-zaqar by default and python3-zaqar
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-zaqar packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Add python(3)-pymongo run-time dependency.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/zaqar-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-zaqar.post*, d/python(3)-zaqar.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-zaqar.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for zaqar daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-trollius-from-requirements.txt.patch: Rebased.
  * d/p/Fix_assert_error_during_queue_creating_in_ut.patch: Dropped. Fixed
    in new upstream milestone.
  * d/control, d/p/remove-trollius-from-requirements.txt.patch: Add python-trollius
    to BDs for py2 only and drop patch as it's fixed in new upstream milestone.
  * d/p/finished-fixing-upstream-tests.patch: Updates to more tests and cherry-pick
    from upstream gerrit.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jun 2018 18:45:38 -0400

zaqar (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Blacklist broken tests:
    - websocket.v2.test_messages.MessagesBaseTest.test_post_multiple_2_False()
    - Many others not deterministic.
  * Add patch to add a MANIFEST.in to also package Alembic migrations.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 May 2018 08:34:09 +0000

zaqar (6.0.0-2) unstable; urgency=medium

  * Add upstream patch: Fix_assert_error_during_queue_creating_in_ut.patch and
    reactivate all tests.
  * Add finished-fixing-upstream-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 15:10:43 +0000

zaqar (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Add remove-trollius-from-requirements.txt.patch.
  * Blacklist tests failing under Python 3.6 (see:
    https://bugs.launchpad.net/zaqar/+bug/1753997):
    - test_claims.ClaimsBaseTest.test_default_ttl_and_grace
    - test_claims.ClaimsBaseTest.test_exceeded_claim
    - test_claims.ClaimsBaseTest.test_unacceptable_ttl_or_grace_1___1___1_
    - tes...Test.test_unacceptable_ttl_or_grace_2__59__60_
    - tes...Test.test_unsupported_json_1___overflow___9223372036854775808_
    - tes...Test.test_subscription_create

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 15:38:13 +0100

zaqar (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:54:34 -0500

zaqar (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/msgpack-python-compat.patch: Revert to use of msgpack-python
    module name until transition to msgpack is underway.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:36:10 -0500

zaqar (6.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:06:53 -0500

zaqar (6.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/rules, d/zaqar-common.postinst.in: Drop install of policy.json as
    default policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Dec 2017 09:10:57 -0500

zaqar (6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 16:47:50 -0500

zaqar (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 14:36:05 -0500

zaqar (5.0.0-3) unstable; urgency=medium

  [ David Rabel ]
  * Update fr.po (Closes: #885586).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:55:13 +0100

zaqar (5.0.0-2) unstable; urgency=medium

  * Updated it.po (Closes: #872730).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 20:20:38 +0100

zaqar (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove SQLAlchemy version patch.
  * Ran wrap-and-sort -bast.
  * Updating VCS URLs.
  * Standards-Version: 4.1.1.
  * Deprecating priority extra as per policy.
  * Fixed (build-)depends for this release.
  * Fixed oslo-config-generator namespace list for this release.
  * Remove export OSLO_PACKAGE_VERSION defined by openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 16:30:47 +0200

zaqar (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 14:37:10 +0100

zaqar (5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:14:30 -0400

zaqar (5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:28 -0400

zaqar (5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 09:29:23 -0400

zaqar (5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:12:24 +0100

zaqar (5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:40:35 +0100

zaqar (4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:18:55 -0500

zaqar (4.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream miles for Ocata. 
  * d/control: Cleanup dependencies.
  * d/tests, d/control: Add dep8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 08:35:57 -0500

zaqar (4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 10:41:39 -0500

zaqar (4.0.0~b3-0ubuntu2) zesty; urgency=medium

  * d/control: Add python-pymongo to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 11:04:07 -0500

zaqar (4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:29:47 -0500

zaqar (4.0.0~b2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 16:15:19 -0500

zaqar (3.0.0-6) unstable; urgency=medium

  * Danish translation of the debconf templates (Closes: #850877).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:33:55 +0200

zaqar (3.0.0-5) unstable; urgency=medium

  * German debconf translation update (Closes: #842488).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:17:30 +0200

zaqar (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858714).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 12:46:24 +0200

zaqar (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858714)

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:40:55 +0100

zaqar (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 12:05:36 +0100

zaqar (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 02:15:48 +0200

zaqar (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:21:24 +0200

zaqar (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2016 14:18:33 +0200

zaqar (3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 17:14:56 +0200

zaqar (3.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 16:52:37 +0200

zaqar (2.0.0-2) unstable; urgency=medium

  * Updated Portuguese translation for debconf messages (Closes: #821246).
  * Updated Japanese debconf templates (Closes: #820757).
  * Updated Dutch debconf templates (Closes: #823441).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 11:37:45 +0200

zaqar (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:09:18 +0200

zaqar (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 13:23:40 +0200

zaqar (2.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:59:21 +0000

zaqar (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 16:01:24 +0100

zaqar (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Black list unit test failing with python-websocket 0.18.0:
    SubscriptionTest.test_subscription_sustainable_notifications_format.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:34:58 +0100

zaqar (2.0.0~b2-2) experimental; urgency=medium

  * Updated nl.po debconf translation (Closes: #812350).
  * VCS fields using HTTPS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 13:09:49 +0800

zaqar (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed config file generation namespaces.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 15:46:17 +0100

zaqar (1.0.0-6) unstable; urgency=medium

  * Added French templates translation update (Closes: #805397).
  * Same for Portuguese (Closes: #805426).
  * Same for Dutch (Closes: #805467).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 10:24:45 +0100

zaqar (1.0.0-5) unstable; urgency=medium

  * Imported .po files from Cinder, ran debconf-poupdate, replaced cinder by
    zaqar and unfuzzied strings (Closes: #801920).
  * Added pt.po debconf translation (Closes: #802425).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:38:53 +0100

zaqar (1.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of zaqar-server.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:59:41 +0000

zaqar (1.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 09:15:44 +0000

zaqar (1.0.0-2) unstable; urgency=medium

  * Correctly rm remainings on purge (Closes: #802531).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:19:26 +0000

zaqar (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2015 18:25:29 +0200

zaqar (1.0.0~b3+2015.09.15.git45.5a332eadbf-1) unstable; urgency=medium

  * Initial release. (Closes: #787182)

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 10:23:04 +0200

